- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Inarray Struct Reference
Inline Array

Inline array structure, use Eina_Inarray typedef instead. More...

## Data Fields
int | version
| Should match EINA_ARRAY_VERSION used when compiled your apps, provided for ABI compatibility.
unsigned int | member_size
| byte size of each entry in members
unsigned int | len
| number of elements used in members
unsigned int | max
| number of elements allocated in members
unsigned int | step
| amount to grow number of members allocated
void * | members
| actual array of elements

## Detailed Description

Inline array structure, use Eina_Inarray typedef instead.

Do not modify these fields directly, use eina_inarray_step_set() or eina_inarray_new() instead.

Since
  1.2

Examples:
  eina_inarray_01.c, and eina_inarray_02.c.